###### R poosm (testy pro ordinln data o dvou vbrech)######

# Testy pro ordinln data, kter poznme dle, pracuj na principu porovnvn poad 
# namench hodnot, vyplv to z podstaty ordinlnch dat - vme, co je vt a 
# co men, ale nevme o kolik, v poad u vme o kolik poad se sla li.

setwd("C:/Users/Navratil/Documents/R")
# setwd("C:/Users/uivatel/Documents/R") # cesta pro koln PC

library(readxl)

data <- read_excel("C:/Users/Navratil/Documents/Navratil/ZF/Statistika/data1.xlsx")
# data <- read_excel("E:/R/data1.xlsx") # cesta k datm na Vaich flekch

####Mann-Whitney test####

# M-W test je uren k testovn rozdl v poad namench hodnot pro dva nezvisl vbry,
# je tedy obdobou dvouvbrovho t-testu. Meme ho pout i na pomrov data, pokud 
# nespluj podmnku pouit t-testu (nejastji tedy v ppadech, kdy data sice jsou 
# pomrov, ale nemaj normln rozdlen).

# M-W test se v R pot pomoc funkce wilcox.test():

?wilcox.test

# Zadejme si stejn kol jako u dvouvbrovho t-testu:
# Testuji rozdl v pH1 mezi vbry identifikovanmi ve sloupci bohatost, tedy se ptm, jestli
# se li hodnota pH meen na jae (pH1) mezi lokalitami druhov bohatmi a chudmi
# H0: pH men na jae se neli mezi lokalitami druhov bohatmi a chudmi
# hladina vznamnosti alfa = 95% (= p mus bt men ne 0.05, abych mohl zamtnout H0)

# nejprve se podvejme na grafiku toho, co testuji

boxplot(data$pH1~data$bohatost, names=c("bohat", "chud"), main="pH1 na raelinitch", xlab="vbry", ylab="pH")

# a te vlastn M-W test: 

wilcox.test(data$pH1~data$bohatost)

# vsledek: W=99, p=0.002183
# H0 zamtm, rozdl na hladin vznamnosti alfa=95% existuje (p je men ne 0.05).
# varovn nemuste vnovat pozornost

# Jen pro zopakovn rozhodovn o H0 s ohledem na stanoven alfa:
# Vimte si, e na hladin vznamnosti alfa=99.9% bych H0 zamtnout nemohl,
# nebo p=0.0022, je tedy vt ne 99.9% (0.001).

# Jako u t-testu je zde atribut alternative = "two.sided" pro oboustrann test (automaticky 
# nastaveno) a alternative = "greater" nebo "less" pro jednostrann testy 

# POZNMKA: M-W test lze v R potat i v ppad, e kad vbr je vektor nebo
# je ve "svm" sloupci datov tabulky:

vyber1 <- c(23, 25, 31, 22, 28, 26) # zadvm prvn vbr
vyber2 <- c(22, 21, 28, 27, 23, 16) # zadvm druh vbr
tab1 <- cbind(vyber1, vyber2) # vytvom matici
tab1 <- as.data.frame(tab1) # vytvom z matice tabulku dat

wilcox.test(vyber1, vyber2) # vpoet z vektor
wilcox.test(tab1$vyber1, tab1$vyber2) # vpoet ze sloupc datov tabulky

# vsledek: W=25,5, p=0.2598
# H0 nezamtm, rozdl na hladin vznamnosti alfa=95% neexistuje (p je vt ne 0.05).


####Wilcoxonv test####

# Wilcoxonv test je obdobou provho t-testu, slou tedy k testovn rozdlu ve dvou 
# zvislch vbrech. Atribut, kter udl z dvouvbrovho testu test prov je stejn 
# jako u t-testu, paired = TRUE.
# Pkaz je stejn jako M-W testu, tedy wilcox.test()

# kol bude opt stejn jako u provho t-testu:
# Li se prvn a druh men pH?
# H0: nen rozdl mezi pH menm na jae (pH1) a v asnm lt (pH2)
# hladina vznamnosti alfa = 95% (= p mus bt men ne 0.05, abych mohl zamtnout H0)

wilcox.test(data$pH1, data$pH2, paired = TRUE)

# vsledek: V=13, p = 0,0006356
# H0 na hladin vznamnosti alfa=95% zamtm a tedy men na jae a v asnm lt se li
# co je vt a co men zjistme nap. v boxplotu

boxplot(data$pH1, data$pH2, names=c("pH1", "pH2"), main="pH na raelinitch", xlab="men", ylab="pH")


####Jednovbrov testy####

# K testovn shody s teoretickm rozdlenm se pro ordinln data nejastji pouv 
# ch-kvadrt test nebo Kolmogorov-Smirnov test.